lp:~vardan-pogosyan/+junk/daq-2.0.4-trusty

Created by Vardan on 2015-01-09 and last modified on 2015-01-09
Get this branch:
bzr branch lp:~vardan-pogosyan/+junk/daq-2.0.4-trusty
Only Vardan can upload to this branch. If you are Vardan please log in for upload directions.

Related bugs

Related blueprints

Branch information

Owner:
Vardan
Status:
Development

Recent revisions

9. By Vardan on 2015-01-09

* debian/control:
  - Change maintainer

8. By Javier Fernández-Sanguino on 2014-10-25

* debian/control:
   - Fix typo in that made libdaq-dev depend on the previous libdaq0 instead
     of libdaq2
   - libdaq2 cannot be installed alongside libdaq0 (they both provide
     /usr/lib/libsfbpf.so.0.0.1), added a Conflicts: to reflect this

7. By Jonathan Davies on 2014-04-04

debian/libdaq-dev.install: Removed .la file reference

6. By Jonathan Davies on 2014-04-03

* New upstream release.
* debian/control:
  - Updated Standards-Version to 3.9.5.
  - Renamed libdaq0 to libdaq2.

5. By Logan Rosen on 2014-01-08

Use dh-autoreconf to get new libtool macros for ppc64el and update
config.{sub,guess} for new arches.

4. By Javier Fernández-Sanguino on 2012-01-18

Upload to unstable (Closes: #656289)

3. By Javier Fernández-Sanguino on 2011-01-13

* Fix FTBFS: update Build-Depends with flex, bison (Closes: #609054)
* This version now supports inline mode since the dumbnet library is now properly
  detected (Closes: #609865)
* To fix the above change the debian/patches/10_dnet-to-dumbnet.diff patch
  New changes in the patch:
    - Make m4/sf.m4 work with latest autoconf since the AX_CFLAGS_GCC_OPTION
      call would not work when using multiple GCC_OPTIONS, only one option (pedantic)
      is now check to set
   - os-daq-modules/Makefile.am, os-daq-modules/daq_ipq.c, os-daq-modules/daq_nfq.c:
      Modified to use 'dumbnet' instead of 'dnet'
   - README: it's 'aclocal -I m4', there is no 'config' directory
   - More changes due to the automatic regeneration of all autoconf files after doing the
     above changes and running:
     'libbtoolize --copy --force ; aclocal -I m4; autoheader; autoconf; automake --foreign '

2. By Javier Fernández-Sanguino on 2010-11-11

* Initial release.
* This library is required for Snort 2.9.0 (produced by the Snort team).
  Since I will be targetting experimental with Snort 2.9.0 I'm uploading this
  library there too.
* debian/patches/10_dnet-to-dumbnet.diff: Patch to use dumbnet instead of
  dnet. It is not applied as it currently breaks the build due to an autoconf
  issue (to be investigated). This only prevents the IPQ and NFQ DAQs from
  being available (but the PCAP module should work)

1. By Javier Fernández-Sanguino on 2010-11-11

Import upstream version 0.3

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
This branch contains Public information 
Everyone can see this information.

Subscribers